sphinx-build(1)

NAME
sphinx-build - Sphinx documentation generator tool

SYNOPSIS
sphinx-build [options] <sourcedir> <outdir> [filenames...]

DESCRIPTION
sphinx-build generates documentation from the files in <sourcedir> and places it in the <outdir>. sphinx-build looks for <sourcedir>/conf.py for the configuration settings. sphinx-quickstart(1) may be used to generate template files, including conf.py. sphinx-build can create documentation in different formats. A format is selected by specifying the builder name on the command line; it defaults to HTML. Builders can also perform other tasks related to documentation processing. By default, everything that is outdated is built. Output only for selected files can be built by specifying individual filenames. List of available builders:

html
    HTML files generation. This is default builder.

htmlhelp
    Generates files for CHM generation.

qthelp
    Generates files for Qt help collection generation.

devhelp
    Generates files for GNOME Devhelp help viewer.

latex
    Generates a LaTeX version of the documentation.

text
    Generates a plain-text version of the documentation.

changes
    Generates HTML files listing changed/added/deprecated items for the current version.

linkcheck
    Checks the integrity of all external links in the documentation.

pickle / json
    Generates serialized HTML files in the selected format.

OPTIONS

-b <builder>
    Builder to use; defaults to html. See the full list of builders above.

-a  Generates output for all files; without this option only output for new and changed files is generated.

-E  Ignores cached files, forces to re-read all source files from disk.

-c <path>
    Locates the conf.py file in the specified path instead of <sourcedir>.

-C  Specifies that no conf.py file at all is to be used. Configuration can only be set with the -D option.

-D <setting>=<value>
    Overrides a setting from the configuration file.

-d <path>
    Path to cached files; defaults to <outdir>/.doctrees.

-A <name>=<value>
    Passes a value into the HTML templates (only for html builders).

-N  Prevents colored output.

-q  Quiet operation, just prints warnings and errors on stderr.

-Q  Very quiet operation, doesn't print anything except for errors.

-w <file>
    Write warnings and errors into the given file, in addition to stderr.

-W  Turn warnings into errors.

-P  Runs Pdb on exception.

SEE ALSO
sphinx-quickstart(1)

AUTHOR
Georg Brandl <georg@python.org>, Armin Ronacher <armin.ronacher@active-4.com> et al.

This manual page was initially written by Mikhail Gusarov <dottedmag@dottedmag.net>, for the Debian project.